gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: fixmes for idempotency


From: gnunet
Subject: [taler-deployment] branch master updated: fixmes for idempotency
Date: Sat, 04 Mar 2023 16:35:16 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 291a4d9  fixmes for idempotency
291a4d9 is described below

commit 291a4d956fb713ec21d39672c269811778e61a4d
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Mar 4 16:35:14 2023 +0100

    fixmes for idempotency
---
 netzbon/config_launch_libeufin.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/netzbon/config_launch_libeufin.sh 
b/netzbon/config_launch_libeufin.sh
index ca312db..850fa28 100755
--- a/netzbon/config_launch_libeufin.sh
+++ b/netzbon/config_launch_libeufin.sh
@@ -197,16 +197,20 @@ libeufin-cli connections download-bank-accounts 
${EBICS_CONNECTION_NAME}
 echo "OK"
 
 echo -n "Importing bank account info into Nexus..."
+# Continue on failure, request is not idempotent...
+# FIXME-MS: might be nicer to delete existing connection first.
 libeufin-cli connections import-bank-account \
   --offered-account-id ${LIBEUFIN_SANDBOX_USERNAME} \
   --nexus-bank-account-id ${LIBEUFIN_NEXUS_USERNAME} \
-  ${EBICS_CONNECTION_NAME}
+  ${EBICS_CONNECTION_NAME} || true
 echo "OK"
 
 echo -n "Create the Taler facade at Nexus..."
+# Continue on failure, request is not idempotent...
+# FIXME-MS: might be nicer to delete existing facade first.
 libeufin-cli facades \
   new-taler-wire-gateway-facade \
   --currency $CURRENCY \
   --facade-name ${LIBEUFIN_TALER_FACADE} \
-  ${EBICS_CONNECTION_NAME} ${LIBEUFIN_NEXUS_USERNAME}
+  ${EBICS_CONNECTION_NAME} ${LIBEUFIN_NEXUS_USERNAME} || true
 echo "OK"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]